Permalink
Browse files

updating to support rails 3.0 final

  • Loading branch information...
1 parent 8e852e0 commit e26f4fdcda56025081f6d496a08fccbb5f1eb6be Ryan Fitzgerald committed Aug 30, 2010
Showing with 71 additions and 62 deletions.
  1. +1 −0 .gitignore
  2. +6 −3 Gemfile
  3. +14 −9 Gemfile.lock
  4. +1 −1 Rakefile
  5. +1 −1 VERSION
  6. +1 −1 example/Gemfile
  7. +41 −41 example/Gemfile.lock
  8. +6 −6 mongoid_session_store.gemspec
View
1 .gitignore
@@ -1,5 +1,6 @@
## MAC OS
.DS_Store
+.bundle
## TEXTMATE
*.tmproj
View
9 Gemfile
@@ -1,11 +1,14 @@
# A sample Gemfile
source :gemcutter
+
#
# gem "rails"
-gem "mongoid", ">= 2.0.0.beta9"
-gem 'actionpack', ">= 3.0.0.rc"
-gem 'activemodel', ">= 3.0.0.rc"
+gem 'actionpack', "~> 3.0.0"
+gem 'activemodel', "~> 3.0.0"
+
+# gem "mongoid", ">= 2.0.0.beta.16"
+gem "mongoid", :git => "http://github.com/mongoid/mongoid.git"
group :test do
gem 'shoulda'
View
23 Gemfile.lock
@@ -1,3 +1,14 @@
+GIT
+ remote: http://github.com/mongoid/mongoid.git
+ revision: f38e3efa4fb61204cddf8e98595edf966e304c1e
+ specs:
+ mongoid (2.0.0.beta.16)
+ activemodel (~> 3.0.0)
+ bson (= 1.0.4)
+ mongo (= 1.0.7)
+ tzinfo (~> 0.3.22)
+ will_paginate (~> 3.0.pre)
+
GEM
remote: http://rubygems.org/
specs:
@@ -24,12 +35,6 @@ GEM
i18n (0.4.1)
mongo (1.0.7)
bson (>= 1.0.4)
- mongoid (2.0.0.beta9)
- activemodel (~> 3.0.0.beta)
- bson (~> 1.0.3)
- mongo (~> 1.0.3)
- tzinfo (~> 0.3.22)
- will_paginate (~> 3.0.pre)
rack (1.2.1)
rack-mount (0.6.9)
rack (>= 1.0.0)
@@ -43,7 +48,7 @@ PLATFORMS
ruby
DEPENDENCIES
- actionpack (>= 3.0.0.rc)
- activemodel (>= 3.0.0.rc)
- mongoid (>= 2.0.0.beta9)
+ actionpack (~> 3.0.0)
+ activemodel (~> 3.0.0)
+ mongoid!
shoulda
View
2 Rakefile
@@ -12,7 +12,7 @@ begin
gem.authors = ["Ryan Fitzgerald"]
gem.add_development_dependency "shoulda", ">= 0"
gem.add_dependency('mongoid', ">= 2.0.0.beta.16")
- gem.add_dependency('actionpack', ">= 3.0.0.rc")
+ gem.add_dependency('actionpack', "~> 3.0.0")
gem.files.exclude 'example/**/*'
View
2 VERSION
@@ -1 +1 @@
-0.0.2
+1.0.0.beta1
View
2 example/Gemfile
@@ -1,6 +1,6 @@
source 'http://rubygems.org'
-gem 'rails', '3.0.0.rc'
+gem 'rails', '3.0.0'
# Bundle edge Rails instead:
# gem 'rails', :git => 'git://github.com/rails/rails.git'
View
82 example/Gemfile.lock
@@ -1,55 +1,55 @@
GIT
remote: http://github.com/mongoid/mongoid.git
- revision: dab07d8
+ revision: f38e3efa4fb61204cddf8e98595edf966e304c1e
specs:
mongoid (2.0.0.beta.16)
- activemodel (= 3.0.0.rc)
+ activemodel (~> 3.0.0)
bson (= 1.0.4)
mongo (= 1.0.7)
- tzinfo (= 0.3.22)
+ tzinfo (~> 0.3.22)
will_paginate (~> 3.0.pre)
PATH
remote: /Users/fitz/Projects/mongoid_session_store
specs:
- mongoid_session_store (0.0.2)
- actionpack (>= 3.0.0.rc)
+ mongoid_session_store (1.0.0)
+ actionpack (~> 3.0.0)
mongoid (>= 2.0.0.beta.16)
GEM
remote: http://rubygems.org/
specs:
abstract (1.0.0)
- actionmailer (3.0.0.rc)
- actionpack (= 3.0.0.rc)
+ actionmailer (3.0.0)
+ actionpack (= 3.0.0)
mail (~> 2.2.5)
- actionpack (3.0.0.rc)
- activemodel (= 3.0.0.rc)
- activesupport (= 3.0.0.rc)
+ actionpack (3.0.0)
+ activemodel (= 3.0.0)
+ activesupport (= 3.0.0)
builder (~> 2.1.2)
erubis (~> 2.6.6)
i18n (~> 0.4.1)
rack (~> 1.2.1)
- rack-mount (~> 0.6.9)
+ rack-mount (~> 0.6.12)
rack-test (~> 0.5.4)
- tzinfo (~> 0.3.22)
- activemodel (3.0.0.rc)
- activesupport (= 3.0.0.rc)
+ tzinfo (~> 0.3.23)
+ activemodel (3.0.0)
+ activesupport (= 3.0.0)
builder (~> 2.1.2)
i18n (~> 0.4.1)
- activerecord (3.0.0.rc)
- activemodel (= 3.0.0.rc)
- activesupport (= 3.0.0.rc)
- arel (~> 0.4.0)
- tzinfo (~> 0.3.22)
- activeresource (3.0.0.rc)
- activemodel (= 3.0.0.rc)
- activesupport (= 3.0.0.rc)
- activesupport (3.0.0.rc)
- arel (0.4.0)
- activesupport (>= 3.0.0.beta)
+ activerecord (3.0.0)
+ activemodel (= 3.0.0)
+ activesupport (= 3.0.0)
+ arel (~> 1.0.0)
+ tzinfo (~> 0.3.23)
+ activeresource (3.0.0)
+ activemodel (= 3.0.0)
+ activesupport (= 3.0.0)
+ activesupport (3.0.0)
+ arel (1.0.1)
+ activesupport (~> 3.0.0)
bson (1.0.4)
- bson_ext (1.0.4)
+ bson_ext (1.0.7)
builder (2.1.2)
erubis (2.6.6)
abstract (>= 1.0.0)
@@ -64,29 +64,29 @@ GEM
mysql (2.8.1)
polyglot (0.3.1)
rack (1.2.1)
- rack-mount (0.6.9)
+ rack-mount (0.6.12)
rack (>= 1.0.0)
rack-test (0.5.4)
rack (>= 1.0)
- rails (3.0.0.rc)
- actionmailer (= 3.0.0.rc)
- actionpack (= 3.0.0.rc)
- activerecord (= 3.0.0.rc)
- activeresource (= 3.0.0.rc)
- activesupport (= 3.0.0.rc)
- bundler (>= 1.0.0.rc.1)
- railties (= 3.0.0.rc)
- railties (3.0.0.rc)
- actionpack (= 3.0.0.rc)
- activesupport (= 3.0.0.rc)
- rake (>= 0.8.3)
+ rails (3.0.0)
+ actionmailer (= 3.0.0)
+ actionpack (= 3.0.0)
+ activerecord (= 3.0.0)
+ activeresource (= 3.0.0)
+ activesupport (= 3.0.0)
+ bundler (~> 1.0.0)
+ railties (= 3.0.0)
+ railties (3.0.0)
+ actionpack (= 3.0.0)
+ activesupport (= 3.0.0)
+ rake (>= 0.8.4)
thor (~> 0.14.0)
rake (0.8.7)
sqlite3-ruby (1.3.1)
thor (0.14.0)
treetop (1.4.8)
polyglot (>= 0.3.1)
- tzinfo (0.3.22)
+ tzinfo (0.3.23)
will_paginate (3.0.pre2)
PLATFORMS
@@ -97,5 +97,5 @@ DEPENDENCIES
mongoid!
mongoid_session_store!
mysql
- rails (= 3.0.0.rc)
+ rails (= 3.0.0)
sqlite3-ruby
View
12 mongoid_session_store.gemspec
@@ -5,11 +5,11 @@
Gem::Specification.new do |s|
s.name = %q{mongoid_session_store}
- s.version = "0.0.2"
+ s.version = "1.0.0.beta1"
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.required_rubygems_version = Gem::Requirement.new("> 1.3.1") if s.respond_to? :required_rubygems_version=
s.authors = ["Ryan Fitzgerald"]
- s.date = %q{2010-08-10}
+ s.date = %q{2010-08-29}
s.description = %q{store rails 3 sessions in mongoDB}
s.email = %q{ryan@gymlogr.com}
s.extra_rdoc_files = [
@@ -49,16 +49,16 @@ Gem::Specification.new do |s|
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_development_dependency(%q<shoulda>, [">= 0"])
s.add_runtime_dependency(%q<mongoid>, [">= 2.0.0.beta.16"])
- s.add_runtime_dependency(%q<actionpack>, [">= 3.0.0.rc"])
+ s.add_runtime_dependency(%q<actionpack>, ["~> 3.0.0"])
else
s.add_dependency(%q<shoulda>, [">= 0"])
s.add_dependency(%q<mongoid>, [">= 2.0.0.beta.16"])
- s.add_dependency(%q<actionpack>, [">= 3.0.0.rc"])
+ s.add_dependency(%q<actionpack>, ["~> 3.0.0"])
end
else
s.add_dependency(%q<shoulda>, [">= 0"])
s.add_dependency(%q<mongoid>, [">= 2.0.0.beta.16"])
- s.add_dependency(%q<actionpack>, [">= 3.0.0.rc"])
+ s.add_dependency(%q<actionpack>, ["~> 3.0.0"])
end
end

0 comments on commit e26f4fd

Please sign in to comment.